#ifndef PIXELDEFENSE_BUILDINGS_H
#define PIXELDEFENSE_BUILDINGS_H

#include <breeze.h>
#include <flecs.h>

#include "utils/building_types.h"

bool canPlaceBuilding(BzTileMap *map, BuildingType type, i32 tileX, i32 tileY);
ecs_entity_t placeBuilding(BzTileMap *map, BuildingType type, i32 tileX, i32 tileY);

#endif //PIXELDEFENSE_BUILDINGS_H
